Subject: [PATCH 00/38] Reorganize setup code and merge 32 and 64-bit setup_arch()

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 27 Jun 2016 21:28:58 +1000

This series reorganizes the setup code, moving probe_machine() later than
when it's currently done, and sync'ing 32-bit and 64-bit enough to merge
their implementations of setup_arch(). We get rid of ppc64 setup_system()
which is subsumed by the new setup_arch().

Note: The first 2 patches should go separately. The first one is a pre
requisite for the ppc32 move of probe_machine(). The second one a general
bug fix for recent kernels which I included here so my test kernels
could build.

I test built all ppc64 platforms and the STD_MMU ppc32 ones. I test
booted pseries and powermac in qemu.